de.esprit.netsuite.io

## Class RemoteFileInfo

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.io.FileInfo
      - - de.esprit.common.io.LocalFileInfo
        - - de.esprit.netsuite.io.RemoteFileInfo

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class RemoteFileInfo
      extends LocalFileInfo

  This class describes a File object on the server.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.common.io.FileInfo

      `absolutePath, dataType, fileType, isDirectory, isExisting, lastModified, length, relBasePath, rootDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteFileInfo(ServerContext serverCtx, java.io.File file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getServerName()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.io.LocalFileInfo

      `canExecute, canRead, canWrite, getFile, getFileEntries, getRootDir`

    - ### Methods inherited from class de.esprit.common.io.FileInfo

      `equals, getAbsolutePath, getBasePath, getDataType, getFileName, getFileType, getLastModified, getLength, getRenderColor, getRenderIcon, getRenderText, isAscii, isBinary, isDirectory, isExisting, isFile`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteFileInfo

          public RemoteFileInfo(ServerContext serverCtx,
                        java.io.File file)

  - ### Method Detail

    - #### getServerName

          public java.lang.String getServerName()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `LocalFileInfo`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `LocalFileInfo`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.